<template>
	<view>
		<image class="width100" mode="widthFix" :src="urls">
		</image>
	</view>
</template>

<script>
	let app = getApp();
	import {
		generateWeChatMpQrCode
	} from '../../Utils/Api.js'
	export default {
		data() {
			return {
				urls: 'https://gratia-pay.dctpay.com/filesystem/share/1679038223473.png' //图片地址
			}
		},
		onLoad() {
			this.generateWeChatMpQrCode();
		},
		methods: {
			generateWeChatMpQrCode() {
				let that = this;
				uni.getStorage({
					key: 'staffCode',
					success: (res) => {
						let datas = {
							outTradeNo: res.data,
							// 1000017476,
							type: 2,
							systemType: 1
						}
						generateWeChatMpQrCode(datas).then(res => {
							if (res.return_code == '000000') {
								that.urls = res.return_data;
							} else {
								uni.showToast({
									title: res.return_msg,
									duration: 2000,
									icon: 'none'
								})
							}
						})
					}
				})
			}
		}
	}
</script>

<style>

</style>
